#! /bin/bash

BASE_CONF_DIR=/etc/bind
: "${DNS_PORT:=53}"
: "${RNDC_PORT:=953}"
[ "$1" = "interactive" ] && ARGS="-ti --entrypoint=/bin/bash"

# shellcheck disable=SC2086
docker run $ARGS \
    --rm \
    --name=bind9 \
    --add-host=host.docker.internal:host-gateway \
    --publish "$RNDC_PORT:953/tcp" \
    --publish "$DNS_PORT:53/udp" \
    --publish "$DNS_PORT:53/tcp" \
    -v $BASE_CONF_DIR/cfg:/etc/bind \
    -v $BASE_CONF_DIR/cache:/var/cache/bind \
    -v $BASE_CONF_DIR/zones:/var/lib/bind \
    -v $BASE_CONF_DIR/log:/var/log \
    docker.io/internetsystemsconsortium/bind9:9.18 \
    /usr/sbin/named -c /etc/bind/named.conf -4 -f
